<?php
// +----------------------------------------------------------------------
// | likeadmin快速开发前后端分离管理后台（PHP版）
// +----------------------------------------------------------------------
// | 欢迎阅读学习系统程序代码，建议反馈是我们前进的动力
// | 开源版本可自由商用，可去除界面版权logo
// | gitee下载：https://gitee.com/likeshop_gitee/likeadmin
// | github下载：https://github.com/likeshop-github/likeadmin
// | 访问官网：https://www.likeadmin.cn
// | likeadmin团队 版权所有 拥有最终解释权
// +----------------------------------------------------------------------
// | author: likeadminTeam
// +----------------------------------------------------------------------


namespace app\adminapi\controller\training;


use app\adminapi\controller\BaseAdminController;
use app\adminapi\lists\training\TrainingWorkerTaskLists;
use app\adminapi\logic\training\TrainingWorkerTaskLogic;
use app\adminapi\validate\training\TrainingWorkerTaskValidate;


/**
 * TrainingWorkerTask控制器
 * Class TrainingWorkerTaskController
 * @package app\adminapi\controller
 */
class TrainingWorkerTaskController extends BaseAdminController
{

    public array $notNeedLogin = ['courseInitialize'];

    /**
     * @notes 获取列表
     * @return \think\response\Json
     * @author likeadmin
     * @date 2025/02/16 13:49
     */
    public function lists()
    {
        return $this->dataLists(new TrainingWorkerTaskLists());
    }


    /**
     * @notes 添加
     * @return \think\response\Json
     * @author likeadmin
     * @date 2025/02/16 13:49
     */
    public function add()
    {
        $params = (new TrainingWorkerTaskValidate())->post()->goCheck('add');
        return $this->success('只对新注册工程师！！！', [], 1, 1);
        /*$result = TrainingWorkerTaskLogic::add($params);
        if (true === $result) {
            return $this->success('添加成功', [], 1, 1);
        }
        return $this->fail(TrainingWorkerTaskLogic::getError());*/
    }


    /**
     * @notes 编辑
     * @return \think\response\Json
     * @author likeadmin
     * @date 2025/02/16 13:49
     */
    public function edit()
    {
        $params = (new TrainingWorkerTaskValidate())->post()->goCheck('edit');
        $result = TrainingWorkerTaskLogic::edit($params);
        if (true === $result) {
            return $this->success('编辑成功', [], 1, 1);
        }
        return $this->fail(TrainingWorkerTaskLogic::getError());
    }


    /**
     * @notes 删除
     * @return \think\response\Json
     * @author likeadmin
     * @date 2025/02/16 13:49
     */
    public function delete()
    {
        $params = (new TrainingWorkerTaskValidate())->post()->goCheck('delete');
        TrainingWorkerTaskLogic::delete($params);
        return $this->success('删除成功', [], 1, 1);
    }


    /**
     * @notes 获取详情
     * @return \think\response\Json
     * @author likeadmin
     * @date 2025/02/16 13:49
     */
    public function detail()
    {
        $params = (new TrainingWorkerTaskValidate())->goCheck('detail');
        $result = TrainingWorkerTaskLogic::detail($params);
        return $this->data($result);
    }

    /**
     * @notes 初始化课程
     * @return \think\response\Json
     * @author likeadmin
     * @date 2025/02/16 13:49
     */
    public function courseInitialize()
    {
        $params = request()->get();
        $result = TrainingWorkerTaskLogic::trainingCourseRecord($params['master_worker_id'],$params['training_task_id']);
        return $this->data($result);
    }
}